{
    "Type": "ComboFirmware",
    "UpdatableBy": [
        "Uefi",
        "RuntimeAgent"
    ],
    "DeviceClass": "79F0C163-0C13-4662-9DEA-09235FEF90CB",
    "Devices": {
        "Device": [
            {
                "DeviceName": "HP Ethernet 10Gb 2-port 546FLR-SFP+ Adapter",
                "Target": "a6b1a447-382a-5a4f-15B3-1007103C8020",
                "Version": "2.40.5030",
                "FirmwareImages": [
                    {
                        "FileName": ".//nic_fw//fw-ConnectX3Pro-full-rel-2_40_5030-779799-B21_Ax-CLP-8025-UEFI-14.11.34-FlexBoot-3.4.746.bin",
                        "Order": 1,
                        "UefiFlashable": true,
                        "Type": "Firmware",
                        "ResetRequired": true,
                        "DelayAfterInstallSec": 1,
                        "InstallDurationSec": 60
                    }
                ]
            },
            {
                "DeviceName": "HP Ethernet 10Gb 2-port 546SFP+ Adapter",
                "Target": "a6b1a447-382a-5a4f-15B3-1007103C801F",
                "Version": "2.40.5030",
                "FirmwareImages": [
                    {
                        "FileName": ".//nic_fw//fw-ConnectX3Pro-full-rel-2_40_5030-779793-B21_0A-CLP-8025-UEFI-14.11.34-FlexBoot-3.4.746.bin",
                        "Order": 1,
                        "UefiFlashable": true,
                        "Type": "Firmware",
                        "ResetRequired": true,
                        "DelayAfterInstallSec": 1,
                        "InstallDurationSec": 60
                    }
                ]
            },
            {
                "DeviceName": "HPE Ethernet 25Gb 2-port 640 FLR-SFP28 Adapter",
                "Target": "a6b1a447-382a-5a4f-15B3-1015159000D3",
                "Version": "14.18.2030",
                "FirmwareImages": [
                    {
                        "FileName": ".//nic_fw//fw-ConnectX4Lx-rel-14_18_2030-817749-B21_Ax-UEFI-14.12.27-FlexBoot-3.5.110.bin",
                        "Order": 1,
                        "UefiFlashable": true,
                        "Type": "Firmware",
                        "ResetRequired": true,
                        "DelayAfterInstallSec": 1,
                        "InstallDurationSec": 60
                    }
                ]
            },
            {
                "DeviceName": "HPE Ethernet 25Gb 2-port 640SFP28 Adapter",
                "Target": "a6b1a447-382a-5a4f-15B3-1015159000D4",
                "Version": "14.18.2030",
                "FirmwareImages": [
                    {
                        "FileName": ".//nic_fw//fw-ConnectX4Lx-rel-14_18_2030-817753-B21_Ax-UEFI-14.12.27-FlexBoot-3.5.110.bin",
                        "Order": 1,
                        "UefiFlashable": true,
                        "Type": "Firmware",
                        "ResetRequired": true,
                        "DelayAfterInstallSec": 1,
                        "InstallDurationSec": 60
                    }
                ]
            }
        ]
    }
}
